import type { AbstractModelDB } from "@canvas-js/modeldb";
export type BranchMergeRecord = {
    source_branch: number;
    source_message_id: string;
    source_clock: number;
    target_branch: number;
    target_message_id: string;
    target_clock: number;
};
export declare class BranchMergeIndex {
    private readonly db;
    static schema: {
        $branch_merges: {
            id: "primary";
            source_branch: "integer";
            source_message_id: "string";
            source_clock: "integer";
            target_branch: "integer";
            target_message_id: "string";
            target_clock: "integer";
        };
    };
    constructor(db: AbstractModelDB);
    insertBranchMerge(record: BranchMergeRecord): Promise<void>;
}
